Upstream information

CVE-2010-4411 at MITRE

Description

Unspecified vulnerability in CGI.pm 3.50 and earlier allows remote attackers to inject arbitrary HTTP headers and conduct HTTP response splitting attacks via unknown vectors. NOTE: this issue exists because of an incomplete fix for CVE-2010-2761.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.3
Vector AV:N/AC:M/Au:N/C:N/I:P/A:N
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact None
Integrity Impact Partial
Availability Impact None
SUSE Bugzilla entries: 657343 [RESOLVED / FIXED], 657731 [RESOLVED / FIXED], 663396 [RESOLVED / FIXED], 669245 [CLOSED / INVALID], 670476 [NEEDINFO]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12
  • perl >= 5.18.2-3.7
  • perl-32bit >= 5.18.2-3.7
  • perl-base >= 5.18.2-3.7
  • perl-doc >= 5.18.2-3.7
Patchnames:
SUSE Linux Enterprise Desktop 12 GA perl-32bit
SUSE Linux Enterprise Desktop 12 SP1
  • perl >= 5.18.2-3.7
  • perl-32bit >= 5.18.2-3.7
  • perl-base >= 5.18.2-3.7
  • perl-doc >= 5.18.2-3.7
Patchnames:
SUSE Linux Enterprise Desktop 12 SP1 GA perl-32bit
SUSE Linux Enterprise Desktop 12 SP2
  • perl >= 5.18.2-11.1
  • perl-32bit >= 5.18.2-11.1
  • perl-base >= 5.18.2-11.1
  • perl-doc >= 5.18.2-11.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA perl-32bit
SUSE Linux Enterprise Desktop 12 SP3
  • perl >= 5.18.2-11.1
  • perl-32bit >= 5.18.2-11.1
  • perl-base >= 5.18.2-11.1
  • perl-doc >= 5.18.2-11.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA perl-32bit
SUSE Linux Enterprise Module for Basesystem 15
  • perl >= 5.26.1-5.41
  • perl-base >= 5.26.1-5.41
  • perl-base-32bit >= 5.26.1-5.41
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 GA perl
SUSE Linux Enterprise Module for Development Tools 15
  • perl-doc >= 5.26.1-5.41
Patchnames:
SUSE Linux Enterprise Module for Development Tools 15 GA perl-doc
SUSE Linux Enterprise Server 11 SP2
  • perl >= 5.10.0-64.55.1
  • perl-32bit >= 5.10.0-64.55.1
  • perl-base >= 5.10.0-64.55.1
  • perl-doc >= 5.10.0-64.55.1
  • perl-x86 >= 5.10.0-64.55.1
Patchnames:
SUSE Linux Enterprise Server 11 SP2 GA perl-32bit
SUSE Linux Enterprise Server 11 SP3
  • perl >= 5.10.0-64.67.52
  • perl-32bit >= 5.10.0-64.67.52
  • perl-Module-Build >= 0.2808.01-0.67.52
  • perl-Test-Simple >= 0.72-0.67.52
  • perl-base >= 5.10.0-64.67.52
  • perl-doc >= 5.10.0-64.67.52
  • perl-x86 >= 5.10.0-64.67.52
Patchnames:
SUSE Linux Enterprise Server 11 SP3 GA perl-32bit
SUSE Linux Enterprise Server 11 SP4
  • perl >= 5.10.0-64.72.1
  • perl-32bit >= 5.10.0-64.72.1
  • perl-Module-Build >= 0.2808.01-0.72.1
  • perl-Test-Simple >= 0.72-0.72.1
  • perl-base >= 5.10.0-64.72.1
  • perl-doc >= 5.10.0-64.72.1
  • perl-x86 >= 5.10.0-64.72.1
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA perl-32bit
SUSE Linux Enterprise Server 12
  • perl >= 5.18.2-3.7
  • perl-32bit >= 5.18.2-3.7
  • perl-base >= 5.18.2-3.7
  • perl-doc >= 5.18.2-3.7
Patchnames:
SUSE Linux Enterprise Server 12 GA perl-32bit
SUSE Linux Enterprise Server 12 SP1
  • perl >= 5.18.2-3.7
  • perl-32bit >= 5.18.2-3.7
  • perl-base >= 5.18.2-3.7
  • perl-doc >= 5.18.2-3.7
Patchnames:
SUSE Linux Enterprise Server 12 SP1 GA perl-32bit
SUSE Linux Enterprise Server 12 SP2
  • perl >= 5.18.2-11.1
  • perl-32bit >= 5.18.2-11.1
  • perl-base >= 5.18.2-11.1
  • perl-doc >= 5.18.2-11.1
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA perl-32bit
SUSE Linux Enterprise Server 12 SP3
  • perl >= 5.18.2-11.1
  • perl-32bit >= 5.18.2-11.1
  • perl-base >= 5.18.2-11.1
  • perl-doc >= 5.18.2-11.1
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA perl-32bit
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • perl >= 5.18.2-11.1
  • perl-base >= 5.18.2-11.1
  • perl-doc >= 5.18.2-11.1
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA perl
SUSE Linux Enterprise Software Development Kit 11 SP4
  • perl-base-32bit >= 5.10.0-64.72.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 11 SP4 GA perl-base-32bit
SUSE Linux Enterprise Software Development Kit 11 SP1
  • perl-base-x86 >= 5.10.0-64.53.1
sled11-sp1.x86-64
sles11-sp1-vmware.x86
sle11-sp1-sdk.ia64
sles11-sp1.x86-64
sled11-sp1.x86
sles11-sp1.ia64
sles11-sp1.ppc
sles11-sp1.x86
sles11-sp1.s390x
sle11-sp1-sdk.s390x
sle11-sp1-sdk.x86-64
sle11-sp1-sdk.ppc
sles11-sp1-vmware.x86-64
SAT Patch Nr: 3804
SUSE Linux Enterprise Software Development Kit 11 SP1
  • perl-base-32bit >= 5.10.0-64.53.1
sled11-sp1.x86-64
sles11-sp1-vmware.x86
sle11-sp1-sdk.ia64
sles11-sp1.x86-64
sled11-sp1.x86
sles11-sp1.ia64
sles11-sp1.ppc
sles11-sp1.x86
sles11-sp1.s390x
sle11-sp1-sdk.s390x
sle11-sp1-sdk.x86-64
sle11-sp1-sdk.ppc
sles11-sp1-vmware.x86-64
SAT Patch Nr: 3804
SUSE Linux Enterprise Desktop 11 SP1
SUSE Linux Enterprise Server 11 SP1
SUSE Linux Enterprise Server 11 SP1 for VMware
  • perl >= 5.10.0-64.53.1
  • perl-base >= 5.10.0-64.53.1
  • perl-doc >= 5.10.0-64.53.1
sled11-sp1.x86-64
sles11-sp1-vmware.x86
sle11-sp1-sdk.ia64
sles11-sp1.x86-64
sled11-sp1.x86
sles11-sp1.ia64
sles11-sp1.ppc
sles11-sp1.x86
sles11-sp1.s390x
sle11-sp1-sdk.s390x
sle11-sp1-sdk.x86-64
sle11-sp1-sdk.ppc
sles11-sp1-vmware.x86-64
SAT Patch Nr: 3804
SUSE Linux Enterprise Desktop 11 SP1
SUSE Linux Enterprise Server 11 SP1
SUSE Linux Enterprise Server 11 SP1 for VMware
  • perl >= 5.10.0-64.53.1
  • perl-32bit >= 5.10.0-64.53.1
  • perl-base >= 5.10.0-64.53.1
  • perl-doc >= 5.10.0-64.53.1
sled11-sp1.x86-64
sles11-sp1-vmware.x86
sle11-sp1-sdk.ia64
sles11-sp1.x86-64
sled11-sp1.x86
sles11-sp1.ia64
sles11-sp1.ppc
sles11-sp1.x86
sles11-sp1.s390x
sle11-sp1-sdk.s390x
sle11-sp1-sdk.x86-64
sle11-sp1-sdk.ppc
sles11-sp1-vmware.x86-64
SAT Patch Nr: 3804
SUSE Linux Enterprise Server 11 SP1
  • perl >= 5.10.0-64.53.1
  • perl-base >= 5.10.0-64.53.1
  • perl-doc >= 5.10.0-64.53.1
  • perl-x86 >= 5.10.0-64.53.1
sled11-sp1.x86-64
sles11-sp1-vmware.x86
sle11-sp1-sdk.ia64
sles11-sp1.x86-64
sled11-sp1.x86
sles11-sp1.ia64
sles11-sp1.ppc
sles11-sp1.x86
sles11-sp1.s390x
sle11-sp1-sdk.s390x
sle11-sp1-sdk.x86-64
sle11-sp1-sdk.ppc
sles11-sp1-vmware.x86-64
SAT Patch Nr: 3804
openSUSE 11.2
openSUSE 11.3
  • perl-CGI-Simple >= 1.113-0.3.1
SUSE Linux Enterprise Desktop 10 SP3 for x86
SUSE Linux Enterprise Server 10 SP3
  • perl >= 5.8.8-14.17.15
sles10-sp3.ia64
sles10-sp3.ppc
sles10-sp3.s390x
sles10-sp3.x86
sles10-sp3.x86-64
sled10-sp3.x86-64
sled10-sp3.x86
ZYPP Patch Nr: 7316
SUSE Linux Enterprise Desktop 10 SP3 for AMD64 and Intel EM64T
SUSE Linux Enterprise SDK 10 SP3
SUSE Linux Enterprise Server 10 SP3
SUSE Linux Enterprise Server for SAP 10 SP3
  • perl >= 5.8.8-14.17.15
  • perl-32bit >= 5.8.8-14.17.15
sles10-sp3.ia64
sles10-sp3.ppc
sles10-sp3.s390x
sles10-sp3.x86
sles10-sp3.x86-64
sled10-sp3.x86-64
sled10-sp3.x86
ZYPP Patch Nr: 7316
SUSE Linux Enterprise Server 10 SP3
  • perl >= 5.8.8-14.17.15
  • perl-x86 >= 5.8.8-14.17.15
sles10-sp3.ia64
sles10-sp3.ppc
sles10-sp3.s390x
sles10-sp3.x86
sles10-sp3.x86-64
sled10-sp3.x86-64
sled10-sp3.x86
ZYPP Patch Nr: 7316
SUSE Linux Enterprise Server 10 SP3
  • perl >= 5.8.8-14.17.15
  • perl-64bit >= 5.8.8-14.17.15
sles10-sp3.ia64
sles10-sp3.ppc
sles10-sp3.s390x
sles10-sp3.x86
sles10-sp3.x86-64
sled10-sp3.x86-64
sled10-sp3.x86
ZYPP Patch Nr: 7316
openSUSE 11.2
  • perl-base-debuginfo >= 5.10.0-72.9.1
  • perl-base-debuginfo-32bit >= 5.10.0-72.9.1
  • perl-debuginfo >= 5.10.0-72.9.1
  • perl-debuginfo-32bit >= 5.10.0-72.9.1
  • perl-debugsource >= 5.10.0-72.9.1
openSUSE 11.2
  • perl >= 5.10.0-72.9.1
  • perl-32bit >= 5.10.0-72.9.1
  • perl-base >= 5.10.0-72.9.1
  • perl-base-32bit >= 5.10.0-72.9.1
  • perl-doc >= 5.10.0-72.9.1
openSUSE 11.3
  • perl-base-debuginfo >= 5.12.1-2.3.1
  • perl-base-debuginfo-32bit >= 5.12.1-2.3.1
  • perl-debuginfo >= 5.12.1-2.3.1
  • perl-debuginfo-32bit >= 5.12.1-2.3.1
  • perl-debugsource >= 5.12.1-2.3.1
openSUSE 11.3
  • perl >= 5.12.1-2.3.1
  • perl-32bit >= 5.12.1-2.3.1
  • perl-base >= 5.12.1-2.3.1
  • perl-base-32bit >= 5.12.1-2.3.1
  • perl-doc >= 5.12.1-2.3.1
openSUSE Leap 15.0
  • perl >= 5.26.1-lp150.5.19
  • perl-base >= 5.26.1-lp150.5.19
  • perl-base-32bit >= 5.26.1-lp150.5.19
Patchnames:
openSUSE Leap 15.0 GA perl
openSUSE Leap 42.1
  • perl >= 5.18.2-3.5
  • perl-32bit >= 5.18.2-3.5
  • perl-base >= 5.18.2-3.5
  • perl-doc >= 5.18.2-3.5
Patchnames:
openSUSE Leap 42.1 GA perl-32bit
openSUSE Leap 42.2
  • perl >= 5.18.2-5.6
  • perl-32bit >= 5.18.2-5.6
  • perl-base >= 5.18.2-5.6
  • perl-doc >= 5.18.2-5.6
Patchnames:
openSUSE Leap 42.2 GA perl-32bit
openSUSE Leap 42.3
  • perl >= 5.18.2-7.15
  • perl-32bit >= 5.18.2-7.15
  • perl-base >= 5.18.2-7.15
  • perl-doc >= 5.18.2-7.15
Patchnames:
openSUSE Leap 42.3 GA perl-32bit
openSUSE Tumbleweed
  • perl >= 5.24.0-3.5
  • perl-32bit >= 5.24.0-3.5
  • perl-CGI-Simple >= 1.115-1.4
  • perl-base >= 5.24.0-3.5
  • perl-base-32bit >= 5.24.0-3.5
  • perl-doc >= 5.24.0-3.5
Patchnames:
openSUSE Tumbleweed GA perl-32bit
openSUSE Tumbleweed GA perl-CGI-Simple


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 10 SP3 perl Released
SUSE Linux Enterprise Desktop 10 SP4 perl Released
SUSE Linux Enterprise Desktop 11 SP1 perl Released
SUSE Linux Enterprise Desktop 11 SP2 perl Released
SUSE Linux Enterprise SDK 11 SP1 perl Released
SUSE Linux Enterprise SDK 11 SP2 perl Released
SUSE Linux Enterprise Server 10 SP3 perl Released
SUSE Linux Enterprise Server 10 SP4 perl Released
SUSE Linux Enterprise Server 10 SP4 LTSS perl Released
SUSE Linux Enterprise Server 11 SP1 perl Released
SUSE Linux Enterprise Server 11 SP1 LTSS perl Released
SUSE Linux Enterprise Server 11 SP2 perl Released
SUSE Linux Enterprise Server 11 SP2 LTSS perl Released
SUSE Linux Enterprise Server for SAP AIO 11 SP1 perl Released
SUSE Linux Enterprise Server for SAP Applications 11 SP2 perl Released
SUSE Linux Enterprise Server for SAP ES 11 SP1 perl Released
SUSE Linux Enterprise Server for VMWare 11 SP2 perl Released